Arch API: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
No edit summary
Line 19: Line 19:
Arch.makeWall(baseline, length=None, width=200, height=2000)
Arch.makeWall(baseline, length=None, width=200, height=2000)
}}
}}
<translate>


{{Arch Tools navi{{#translation:}}}}
<!--T:4-->
{{Arch Tools navi}}


[[Category:API{{#translation:}}]]
<!--T:5-->
[[Category:API]]


[[Category:Poweruser Documentation{{#translation:}}]]
<!--T:6-->
[[Category:Poweruser Documentation]]
</translate>

Revision as of 18:13, 19 February 2020

(November 2018) The Arch API is listed in the autogenerated API documentation.

The functions of the API are part of the Arch Workbench and can be used in macros and from the Python console once the Arch module has been imported. The Reinforcement Addon has its own Reinforcement API.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)